> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/1-11-0/documentation/connectware-on-kubernetes/ldap-authentication/customizing-the-user-for-ldap-authentication.md).

# Customizing the User RDN for LDAP Authentication

## Prerequisites

* Helm version 3 is installed on your system.
* The Kubernetes command line tool kubectl is configured and has access to the target installation.
* You know the name and namespace of your Connectware installation. See [Obtaining the name, namespace, and version of your Connectware installation](/1-11-0/documentation/connectware-on-kubernetes/connectware-helm-chart.md#obtaining-the-name-namespace-and-version-of-your-connectware-installation).
* The values.yaml file is available.
* [LDAP authentication configured](/1-11-0/documentation/connectware-on-kubernetes/ldap-authentication/configuring-ldap-authentication.md).

## Customizing the Search Filter for LDAP Authentication

If your LDAP directory uses a different property than “cn” as the username that is to be used, you can specify this property in the Helm value `userRdn` in the `global.authentication.ldap` context.

**Example**

{% code lineNumbers="true" %}

```yaml
global:
    authentication:
        ldap:
            enabled: true
            bindDn: CN=Users,DC=company,DC=tld
            url: ldap://my-dc.complany.tld:389
            userRdn: SN
```

{% endcode %}

**Related Links**

* [Single Sign-On with LDAP](/1-11-0/documentation/user-management/single-sign-on-sso/single-sign-on-with-ldap.md).
* [Configuring Connectware to use LDAP authentication](/1-11-0/documentation/connectware-on-kubernetes/ldap-authentication/configuring-ldap-authentication.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/1-11-0/documentation/connectware-on-kubernetes/ldap-authentication/customizing-the-user-for-ldap-authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
